Uploading a temporary file
Use this request to upload temporary files. Use this request to upload a file to Tracker first, and then attach it when creating an issue or adding a comment.
The temporary file ID received in response to the request can be used to add an attachment only once.
POST
https://api.tracker.yandex.net/v3/attachments/
Query format
Before making a request, get permission to access the API.
To add a temporary file, use an HTTP POST request:
POST /v3/attachments/
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
Content-Type: multipart/form-data
<file>
Headers
-
Host
Address of the node that provides the API -
Authorization: Authorization token about these formats:-
OAuth <OAuth_token>: For authorization using the OAuth 2.0 protocol. Learn more -
Bearer <IAM_token>: For authorization using an IAM token, if a Yandex Identity Hub organization is linked to Tracker. Learn more
-
-
X-Org-IDorX-Cloud-Org-ID: Organization ID.-
Use the
X-Org-IDheader if a Tracker organization is linked to Yandex 360 for Business. -
Use the
X-Cloud-Org-IDheader if a Tracker organization is linked to Yandex Identity Hub.
To get the organization ID, go to Administration → Organizations and copy the value from the ID field.
-
-
Content-TypeRequest body format. The required value is
multipart/form-data.
Request parameters
Additional parameters
| Parameter | Description | Data type |
|---|---|---|
| filename | New name that a file will be stored on the server under If the parameter is not specified, a custom file name is used. | String |
Request body parameters
Required parameters
| Parameter | Description | Data type |
|---|---|---|
| <file> | Uploaded file. The file size may not exceed 1024 Mbit. | File |
Response format
If the request is successful, the API returns a response with code 201 Created.
The response body contains the parameters of the attached file in JSON format.
{
"self" : "https://api.tracker.yandex.net/v3/issues/JUNE-2/attachments/123***",
"id" : "123***",
"name" : "picture.jpg",
"content" : "https://api.tracker.yandex.net/v3/issues/JUNE-2/attachments/123***/picture.jpg",
"thumbnail" : "https://api.tracker.yandex.net/v3/issues/JUNE-2/thumbnails/123***",
"createdBy": {
"self": "https://api.tracker.yandex.net/v3/users/11********",
"id": "11********",
"display": "User Name",
"cloudUid": "ajeppa7dgp53********",
"passportUid": 11********
},
"createdAt" : "2017-06-11T05:11:12.347+0000",
"mimetype" : "image/jpg",
"size" : 19090,
"metadata" : {
"size" : "550x175"
}
}
The thumbnail field might be missing in the response immediately after uploading the file. The thumbnail is generated asynchronously, with no time guarantee. If you need this field, repeat the request later.
Response parameters
| Parameter | Description | Data type |
|---|---|---|
| self | Address of the API resource corresponding to the attached file | String |
| id | File's unique ID. Use it to attach a file when creating an issue or adding a comment. | String |
| name | File name | String |
| content | Address of the resource to download the file from | String |
| thumbnail | Address of the resource to download the preview thumbnail from. This field is optional and might not appear in the response immediately. For image files, the thumbnail is generated asynchronously after the file is uploaded. | String |
| createdBy | Object with information about the user who attached the file | Map object |
| createdAt | Date and time when the file is uploaded, in YYYY-MM-DDThh:mm:ss.sss±hhmm format |
String |
| mimetype | File type, for example:
|
String |
| size | File size in bytes | Integer |
| metadata | Object with file metadata | Map object |
createdBy object fields
| Parameter | Description | Data type |
|---|---|---|
| self | Address of the resource corresponding to the user who uploaded the file | String |
| id | Username of the user | String |
| display | User's name (as in the interface) | String |
metadata object fields
| Parameter | Description | Data type |
|---|---|---|
| size | Image size in pixels | String |
If the request is processed incorrectly, the API returns a response with an error code:
- 400
- One or more request parameters have an invalid value.
- 404
- The requested object was not found. You may have specified an invalid object ID or key.